This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 967232 - "yum upgrade" blocked by "kernel-modules-extra-3.8.8-202.fc18.x86_64 has missing requires of kernel-uname-r = ('0', '3.8.8', '202.fc18.x86_64')"
"yum upgrade" blocked by "kernel-modules-extra-3.8.8-202.fc18.x86_64 has miss...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 16:39 EDT by Jim Jones
Modified: 2013-05-26 22:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 22:03:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Jones 2013-05-25 16:39:50 EDT
Description of problem:

Unable to use "yum update".


Version-Release number of selected component (if applicable):

Linux aqui 3.9.2-200.fc18.x86_64 #1 SMP Mon May 13 13:59:47 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Completely reproducible, "yum update" yields the same error each time it's run.

Steps to Reproduce:
1. yum update

Actual results:

# yum update
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:3.9.3-201.fc18 will be installed
---> Package kernel-modules-extra.x86_64 0:3.9.3-201.fc18 will be installed
---> Package kernel-tools.x86_64 0:3.9.2-200.fc18 will be updated
---> Package kernel-tools.x86_64 0:3.9.3-201.fc18 will be an update
---> Package kernel-tools-libs.x86_64 0:3.9.2-200.fc18 will be updated
---> Package kernel-tools-libs.x86_64 0:3.9.3-201.fc18 will be an update
---> Package librdmacm.x86_64 0:1.0.17-0.gitc6bfc1c.1.fc18 will be updated
---> Package librdmacm.x86_64 0:1.0.17-1.fc18 will be an update
---> Package libvisio.x86_64 0:0.0.26-1.fc18 will be updated
---> Package libvisio.x86_64 0:0.0.27-1.fc18 will be an update
---> Package libwpd.x86_64 0:0.9.7-1.fc18 will be updated
---> Package libwpd.x86_64 0:0.9.8-1.fc18 will be an update
---> Package ncurses.x86_64 0:5.9-10.20130413.fc18 will be updated
---> Package ncurses.x86_64 0:5.9-11.20130511.fc18 will be an update
---> Package ncurses-base.noarch 0:5.9-10.20130413.fc18 will be updated
---> Package ncurses-base.noarch 0:5.9-11.20130511.fc18 will be an update
---> Package ncurses-devel.x86_64 0:5.9-10.20130413.fc18 will be updated
---> Package ncurses-devel.x86_64 0:5.9-11.20130511.fc18 will be an update
---> Package ncurses-libs.i686 0:5.9-10.20130413.fc18 will be updated
---> Package ncurses-libs.x86_64 0:5.9-10.20130413.fc18 will be updated
---> Package ncurses-libs.i686 0:5.9-11.20130511.fc18 will be an update
---> Package ncurses-libs.x86_64 0:5.9-11.20130511.fc18 will be an update
---> Package ntfs-3g.x86_64 2:2013.1.13-1.fc18.1 will be updated
---> Package ntfs-3g.x86_64 2:2013.1.13-4.fc18 will be an update
---> Package ntfsprogs.x86_64 2:2013.1.13-1.fc18.1 will be updated
---> Package ntfsprogs.x86_64 2:2013.1.13-4.fc18 will be an update
---> Package system-config-printer.x86_64 0:1.3.12-8.fc18 will be updated
---> Package system-config-printer.x86_64 0:1.3.13-1.fc18 will be an update
---> Package system-config-printer-libs.x86_64 0:1.3.12-8.fc18 will be obsoleted
---> Package system-config-printer-libs.noarch 0:1.3.13-1.fc18 will be obsoleting
---> Package system-config-printer-udev.x86_64 0:1.3.12-8.fc18 will be updated
---> Package system-config-printer-udev.x86_64 0:1.3.13-1.fc18 will be an update
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.8.6-203.fc18 will be erased
---> Package kernel-modules-extra.x86_64 0:3.8.7-201.fc18 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================================================================
 Package                                                                  Arch                                                 Version                                                            Repository                                              Size
===============================================================================================================================================================================================================================================================
Installing:
 kernel                                                                   x86_64                                               3.9.3-201.fc18                                                     updates                                                 29 M
 kernel-modules-extra                                                     x86_64                                               3.9.3-201.fc18                                                     updates                                                2.0 M
 system-config-printer-libs                                               noarch                                               1.3.13-1.fc18                                                      updates                                                917 k
     replacing  system-config-printer-libs.x86_64 1.3.12-8.fc18
Updating:
 kernel-tools                                                             x86_64                                               3.9.3-201.fc18                                                     updates                                                 90 k
 kernel-tools-libs                                                        x86_64                                               3.9.3-201.fc18                                                     updates                                                 31 k
 librdmacm                                                                x86_64                                               1.0.17-1.fc18                                                      updates                                                 57 k
 libvisio                                                                 x86_64                                               0.0.27-1.fc18                                                      updates                                                246 k
 libwpd                                                                   x86_64                                               0.9.8-1.fc18                                                       updates                                                281 k
 ncurses                                                                  x86_64                                               5.9-11.20130511.fc18                                               updates                                                304 k
 ncurses-base                                                             noarch                                               5.9-11.20130511.fc18                                               updates                                                 68 k
 ncurses-devel                                                            x86_64                                               5.9-11.20130511.fc18                                               updates                                                713 k
 ncurses-libs                                                             i686                                                 5.9-11.20130511.fc18                                               updates                                                301 k
 ncurses-libs                                                             x86_64                                               5.9-11.20130511.fc18                                               updates                                                295 k
 ntfs-3g                                                                  x86_64                                               2:2013.1.13-4.fc18                                                 updates                                                267 k
 ntfsprogs                                                                x86_64                                               2:2013.1.13-4.fc18                                                 updates                                                254 k
 system-config-printer                                                    x86_64                                               1.3.13-1.fc18                                                      updates                                                285 k
 system-config-printer-udev                                               x86_64                                               1.3.13-1.fc18                                                      updates                                                 88 k
Removing:
 kernel                                                                   x86_64                                               3.8.6-203.fc18                                                     @updates                                               122 M
 kernel-modules-extra                                                     x86_64                                               3.8.7-201.fc18                                                     @updates                                               8.4 M

Transaction Summary
===============================================================================================================================================================================================================================================================
Install   3 Packages
Upgrade  14 Packages
Remove    2 Packages

Total size: 35 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
kernel-uname-r = 3.8.8-202.fc18.x86_64 is needed by (installed) kernel-modules-extra-3.8.8-202.fc18.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
kernel-modules-extra-3.8.8-202.fc18.x86_64 has missing requires of kernel-uname-r = ('0', '3.8.8', '202.fc18.x86_64')
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2013-05-25.13-37.MX9uZ2.yumtx


Expected results:

Expected result is for the listed packages to be upgraded. 

Additional info:
Comment 1 Jim Jones 2013-05-26 22:03:55 EDT
I found a fix, removing "kernel-modules-extra" and re-installing cleared the problem.

Note You need to log in before you can comment on or make changes to this bug.